## tdigest 0.3.0

=== DESCRIPTION ===
Package: tdigest
Type: Package
Title: Wicked Fast, Accurate Quantiles Using t-Digests
Version: 0.3.0
Date: 2019-07-25
Authors@R: c(
    person("Bob", "Rudis", email = "bob@rud.is", role = c("aut", "cre"), 
           comment = c(ORCID = "0000-0001-5670-2640")),
    person("Ted", "Dunning", role = "aut",
           comment = "t-Digest algorithm; <https://github.com/tdunning/t-digest/>"),
    person("Andrew", "Werner", role = "aut", 
           comment = "Original C+ code; <https://github.com/ajwerner/tdigest>")
  )
Description: The t-Digest construction algorithm, by 
    Dunning et al., (2019) <arXiv:1902.04023v1>, uses a variant of 1-dimensional 
    k-means clustering to produce a very compact data structure that allows 
    accurate estimation of quantiles. This t-Digest data structure can be used 
    to estimate quantiles, compute other rank statistics or even to estimate 
    related measures like trimmed means. The advantage of the t-Digest over 
    previous digests for this purpose is that the t-Digest handles data with 
    full floating point resolution. The accuracy of quantile estimates produced 
    by t-Digests can be orders of magnitude more accurate than those produced 
    by previous digest algorithms. Methods are provided to create and update 
    t-Digests and retrieve quantiles from the accumulated distributions.
URL: https://gitlab.com/hrbrmstr/tdigest
BugReports: https://gitlab.com/hrbrmstr/tdigest/issues
Copyright: file inst/COPYRIGHTS
Encoding: UTF-8
License: MIT + file LICENSE
Suggests: testthat, covr, spelling
Depends: R (>= 3.5.0)
Imports: magrittr, stats
RoxygenNote: 6.1.1
Language: en-US
NeedsCompilation: yes
Packaged: 2019-07-28 11:39:55 UTC; bob
Author: Bob Rudis [aut, cre] (<https://orcid.org/0000-0001-5670-2640>),
  Ted Dunning [aut] (t-Digest algorithm;
    <https://github.com/tdunning/t-digest/>),
  Andrew Werner [aut] (Original C+ code;
    <https://github.com/ajwerner/tdigest>)
Maintainer: Bob Rudis <bob@rud.is>
Repository: CRAN
Date/Publication: 2019-08-01 09:10:02 UTC

## tdigest 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tdigest
 Type: Package
 Title: Wicked Fast, Accurate Quantiles Using t-Digests
-Version: 0.3.0
-Date: 2019-07-25
+Version: 0.4.1
+Date: 2022-10-03
 Authors@R: c(
     person("Bob", "Rudis", email = "bob@rud.is", role = c("aut", "cre"), 
            comment = c(ORCID = "0000-0001-5670-2640")),
@@ -22,18 +22,18 @@
     by t-Digests can be orders of magnitude more accurate than those produced 
     by previous digest algorithms. Methods are provided to create and update 
     t-Digests and retrieve quantiles from the accumulated distributions.
-URL: https://gitlab.com/hrbrmstr/tdigest
-BugReports: https://gitlab.com/hrbrmstr/tdigest/issues
+URL: https://git.sr.ht/~hrbrmstr/tdigest
+BugReports: https://todo.sr.ht/~hrbrmstr/tdigest
 Copyright: file inst/COPYRIGHTS
 Encoding: UTF-8
 License: MIT + file LICENSE
 Suggests: testthat, covr, spelling
 Depends: R (>= 3.5.0)
 Imports: magrittr, stats
-RoxygenNote: 6.1.1
+RoxygenNote: 7.2.1
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2019-07-28 11:39:55 UTC; bob
+Packaged: 2022-10-04 15:27:18 UTC; hrbrmstr
 Author: Bob Rudis [aut, cre] (<https://orcid.org/0000-0001-5670-2640>),
   Ted Dunning [aut] (t-Digest algorithm;
     <https://github.com/tdunning/t-digest/>),
@@ -41,4 +41,4 @@
     <https://github.com/ajwerner/tdigest>)
 Maintainer: Bob Rudis <bob@rud.is>
 Repository: CRAN
-Date/Publication: 2019-08-01 09:10:02 UTC
+Date/Publication: 2022-10-04 23:40:02 UTC

## tdigest 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tdigest
 Type: Package
 Title: Wicked Fast, Accurate Quantiles Using t-Digests
-Version: 0.4.1
-Date: 2022-10-03
+Version: 0.4.2
+Date: 2024-06-19
 Authors@R: c(
     person("Bob", "Rudis", email = "bob@rud.is", role = c("aut", "cre"), 
            comment = c(ORCID = "0000-0001-5670-2640")),
@@ -12,7 +12,7 @@
            comment = "Original C+ code; <https://github.com/ajwerner/tdigest>")
   )
 Description: The t-Digest construction algorithm, by 
-    Dunning et al., (2019) <arXiv:1902.04023v1>, uses a variant of 1-dimensional 
+    Dunning et al., (2019) <doi:10.48550/arXiv.1902.04023>, uses a variant of 1-dimensional 
     k-means clustering to produce a very compact data structure that allows 
     accurate estimation of quantiles. This t-Digest data structure can be used 
     to estimate quantiles, compute other rank statistics or even to estimate 
@@ -30,10 +30,10 @@
 Suggests: testthat, covr, spelling
 Depends: R (>= 3.5.0)
 Imports: magrittr, stats
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2022-10-04 15:27:18 UTC; hrbrmstr
+Packaged: 2024-06-19 18:37:53 UTC; hrbrmstr
 Author: Bob Rudis [aut, cre] (<https://orcid.org/0000-0001-5670-2640>),
   Ted Dunning [aut] (t-Digest algorithm;
     <https://github.com/tdunning/t-digest/>),
@@ -41,4 +41,4 @@
     <https://github.com/ajwerner/tdigest>)
 Maintainer: Bob Rudis <bob@rud.is>
 Repository: CRAN
-Date/Publication: 2022-10-04 23:40:02 UTC
+Date/Publication: 2024-06-19 19:00:02 UTC

## tdigest 1.0.1

=== Makefile ===
MODULE_big = tdigest
OBJS = tdigest.o

EXTENSION = tdigest
DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql
MODULES = tdigest

CFLAGS=`pg_config --includedir-server`

TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
tdigest (1.0.1-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 9.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 24 Aug 2020 15:55:56 +0200

tdigest (1.0.1-1) unstable; urgency=medium

  * Initial upload.

 -- Dominik George <natureshadow@debian.org>  Mon, 24 Aug 2020 15:55:56 +0200

=== debian/control ===
Source: tdigest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Build-Depends: debhelper (>= 9), postgresql-all (>= 217~)
Standards-Version: 4.1.0
Homepage: https://github.com/tvondra/tdigest
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/tdigest
Vcs-Git: https://salsa.debian.org/postgresql/tsigest.git
Rules-Requires-Root: no

Package: postgresql-9.6-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-10-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-11-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-12-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-13-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

## tdigest 1.2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 OBJS = tdigest.o
 
 EXTENSION = tdigest
-DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql
+DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql
 MODULES = tdigest
 
 CFLAGS=`pg_config --includedir-server`

=== debian/changelog ===
tdigest (1.2.0-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Nov 2021 12:03:29 +0100

tdigest (1.2.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 14. (Closes: #997752)
  * Fix precision variation in tests on older PG versions and some
    architectures. (Closes: #995740)
  * Fix typo in Vcs-Git.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Nov 2021 12:03:29 +0100

tdigest (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Thu, 30 Sep 2021 13:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dominik George <natureshadow@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.1.0
 Homepage: https://github.com/tvondra/tdigest
 XS-Testsuite: autopkgtest
 Vcs-Browser: https://salsa.debian.org/postgresql/tdigest
-Vcs-Git: https://salsa.debian.org/postgresql/tsigest.git
+Vcs-Git: https://salsa.debian.org/postgresql/tdigest.git
 Rules-Requires-Root: no
 
 Package: postgresql-9.6-tdigest
@@ -70,3 +70,15 @@
  The accuracy of estimates produced by t-digests can be orders of magnitude more
  accurate than those produced by previous digest algorithms in spite of the fact
  that t-digests are much more compact when stored on disk.
+
+Package: postgresql-14-tdigest
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
+Description: t-digest algorithm for on-line accumulation of rank-based statistics
+ This PostgreSQL extension implements t-digest, a data structure for on-line
+ accumulation of rank-based statistics such as quantiles and trimmed means.
+ The algorithm is also very friendly to parallel programs.
+ .
+ The accuracy of estimates produced by t-digests can be orders of magnitude more
+ accurate than those produced by previous digest algorithms in spite of the fact
+ that t-digests are much more compact when stored on disk.

## tdigest 1.4.0

=== Makefile ===
MODULE_big = tdigest
OBJS = tdigest.o

EXTENSION = tdigest
DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql
MODULES = tdigest

CFLAGS=`pg_config --includedir-server`

REGRESS      = basic cast conversions incremental parallel_query value_count_api trimmed_aggregates
REGRESS_OPTS = --inputdir=test

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
tdigest (1.4.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 15.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:11:08 +0200

tdigest (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.0.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Feb 2022 10:29:51 +0100

=== debian/control ===
Source: tdigest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.1
Homepage: https://github.com/tvondra/tdigest
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/tdigest
Vcs-Git: https://salsa.debian.org/postgresql/tdigest.git
Rules-Requires-Root: no

Package: postgresql-15-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-15
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

## tdigest 1.4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 OBJS = tdigest.o
 
 EXTENSION = tdigest
-DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql
+DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql tdigest--1.4.0--1.4.1.sql
 MODULES = tdigest
 
 CFLAGS=`pg_config --includedir-server`

=== debian/changelog ===
tdigest (1.4.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Sep 2023 17:01:30 +0200

tdigest (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 17:01:30 +0200

tdigest (1.4.0-4) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:46:09 +0200

tdigest (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * Fix compiler warning on PG16.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Jul 2023 16:15:12 +0200

=== debian/control ===
Source: tdigest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.2
Homepage: https://github.com/tvondra/tdigest
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/tdigest
Vcs-Git: https://salsa.debian.org/postgresql/tdigest.git
Rules-Requires-Root: no

Package: postgresql-10-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-11-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-12-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-13-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-14-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-15-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

Package: postgresql-16-tdigest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

## tdigest 1.4.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 OBJS = tdigest.o
 
 EXTENSION = tdigest
-DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql tdigest--1.4.0--1.4.1.sql
+DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql tdigest--1.4.0--1.4.1.sql tdigest--1.4.1--1.4.2.sql
 MODULES = tdigest
 
 CFLAGS=`pg_config --includedir-server`

=== debian/changelog ===
tdigest (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Nov 2024 17:25:08 +0100

tdigest (1.4.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 19:17:52 +0200

## tdigest 1.4.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 OBJS = tdigest.o
 
 EXTENSION = tdigest
-DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql tdigest--1.4.0--1.4.1.sql tdigest--1.4.1--1.4.2.sql
+DATA = tdigest--1.0.0.sql tdigest--1.0.0--1.0.1.sql tdigest--1.0.1--1.2.0.sql  tdigest--1.2.0--1.3.0.sql tdigest--1.3.0--1.4.0.sql tdigest--1.4.0--1.4.1.sql tdigest--1.4.1--1.4.2.sql tdigest--1.4.2--1.4.3.sql
 MODULES = tdigest
 
 CFLAGS=`pg_config --includedir-server`

=== debian/changelog ===
tdigest (1.4.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117340)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 00:06:12 +0200

tdigest (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3.

 -- Christoph Berg <myon@debian.org>  Sun, 29 Dec 2024 20:42:17 +0100

=== debian/control ===
Source: tdigest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/tvondra/tdigest
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/tdigest
Vcs-Git: https://salsa.debian.org/postgresql/tdigest.git

Package: postgresql-18-tdigest
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: t-digest algorithm for on-line accumulation of rank-based statistics
 This PostgreSQL extension implements t-digest, a data structure for on-line
 accumulation of rank-based statistics such as quantiles and trimmed means.
 The algorithm is also very friendly to parallel programs.
 .
 The accuracy of estimates produced by t-digests can be orders of magnitude more
 accurate than those produced by previous digest algorithms in spite of the fact
 that t-digests are much more compact when stored on disk.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tdigest-$1\.tar\.gz/ \
  https://github.com/tvondra/tdigest/tags .*/v?(\d\S+)\.tar\.gz
